Description

This is a rather general feature request, as I'm unsure what the actual implementation would or should look like.

We manage a lot of laptops with Puppet, laptops that are continually changing hostnames and IP addresses.

This means that we do not use the hostname as the puppet certname, we instead generate UUIDs that look something like

"ecd62621-dc65-4f2e-a6ed-81037e73c0af".
This means that web interfaces such as the Foreman are a little difficult to use to find actual machines....

I'm not sure what the solution is here, but a few things | can think of:

e Allow "search" to search on arbitrary fact values and puppet variables. hostname, IP, custom facts we have such as

"primary_user".
¢ Allow the host display to be customized easily to display additional fields such as the ones above.

Associated revisions

Revision 370a7ac? - 05/14/2012 04:19 AM - Ohad Levy
fixes #137 - Better support for non-hostname certnames

This patch introduce a new setting :use_uuid_for_certificates which
defaults to false.

users who wish to deploy their hosts using a random unique id, should
enable that setting, and use the certname directive in their puppet.conf
template, e.g.:

certname = <%= @host.certname %>

when the certhame was not generated (e.g. for hosts created before this
patch) @host.certname would return the host name instead.

for provisioning where DNS is not reliable, it is highly recommended to
use certnames.

this patch enables future work, to identify systems (while being

provisioned) via UUID, not requiring the need for ipaddress/mac based
detection, and therefore avoiding NAT and similar issues.

Revision 9825d9a6 - 05/26/2012 12:58 PM - Ohad Levy

Find by certname didnt always work on all platforms from some reason, this ensures it works across all db's refs #137

History

#1 - 12/21/2009 05:40 AM - Ohad Levy

I'm guessing we can display the fqdn fact instead? (or if fqdn==certname) than just hostname+domainname instead.

You can already search by facts, but the whole web representation need a face lift :) I'll start reworking on it next year.

#3 - 05/10/2012 03:31 PM - Ohad Levy
- Category set to Puppet integration
- Assignee set to Ohad Levy

- Target version set to 1.0

#4 - 05/14/2012 05:18 AM - Ohad Levy
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 370a7ac7bdal3a563a762688cffe756938ed3ff67.

05/13/2024

22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/370a7ac7bda3a563a762688cffe756938ed3ff67
http://www.tcpdf.org

